#include "mainwidget.h"
#include "ui_mainwidget.h"

//Подлючение используемых в коде классов
#include <QTimer>
#include <QTime>
#include <QPixmap>

MainWidget::MainWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::MainWidget)
{
    ui->setupUi(this);

    //Создаем объект таймера
    QTimer* timer = new QTimer(this);
    //Связываем сигнал таймера "timeout" с пользовательским слотом
    connect(timer, SIGNAL(timeout()), this, SLOT(onTimeout()));
    //Запускаем таймер
    timer->start(500);
}

MainWidget::~MainWidget()
{
    delete ui;
}

void MainWidget::onTimeout()
{
    //Создаем объект ярлыка
    QLabel* label = new QLabel(this);
    //Загрузка картинки из ресурсов и масштабирование изображение
    label->setPixmap(QPixmap(":/images/face-angry.ico").scaledToHeight(rand()%80+20));
    //Устанавливается случайное положение ярлыка
    label->setGeometry(rand()%this->width(), rand()%this->height(), 100, 100);
    //Отображается виджет ярлыка
    label->show();

}

